package com.ruoyi.framework.config;

/**
 * @author hmc
 * @date 2023-11-15 22:15
 * @Description:
 */


public class MyThreadLocal {

    private static final ThreadLocal<String> threadLocal = new ThreadLocal<>();

    public static void set(String value) {
        // 在 ThreadLocal 中设置值
        threadLocal.set(value);
    }

    public static String get() {
        // 从 ThreadLocal 中获取值
        return threadLocal.get();
    }

    public static void remove() {
        // 从 ThreadLocal 中移除值
        threadLocal.remove();
    }
}
